'use strict';

const index = require('./index-518626ff.js');

/*
 Stencil Client Patch Browser v2.0.3 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('deckdeckgo-slide-code.cjs.js', document.baseURI).href));
    const opts =  {};
    if ( importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["deckgo-highlight-code_2.cjs",[[1,"deckgo-slide-code",{"src":[1],"anchor":[1],"anchorZoom":[1,"anchor-zoom"],"hideAnchor":[4,"hide-anchor"],"language":[1],"terminal":[1],"theme":[1],"beforeSwipe":[64],"afterSwipe":[64],"revealContent":[64],"hideContent":[64],"lazyLoadContent":[64]}],[1,"deckgo-highlight-code",{"src":[1],"anchor":[1],"anchorZoom":[1,"anchor-zoom"],"hideAnchor":[4,"hide-anchor"],"language":[513],"highlightLines":[513,"highlight-lines"],"lineNumbers":[516,"line-numbers"],"terminal":[513],"editable":[4],"theme":[513],"editing":[32],"themeStyle":[32],"languagesToLoad":[32],"loaded":[32],"load":[64],"findNextAnchor":[64],"zoomCode":[64]},[[4,"prismLanguageLoaded","languageLoaded"]]]]]], options);
});
