import { p as promiseResolve, b as bootstrapLazy } from './index-94e663d2.js';

/*
 Stencil Client Patch Browser v2.0.3 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts =  {};
    if ( importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["deckgo-highlight-code_2",[[1,"deckgo-slide-code",{"src":[1],"anchor":[1],"anchorZoom":[1,"anchor-zoom"],"hideAnchor":[4,"hide-anchor"],"language":[1],"terminal":[1],"theme":[1],"beforeSwipe":[64],"afterSwipe":[64],"revealContent":[64],"hideContent":[64],"lazyLoadContent":[64]}],[1,"deckgo-highlight-code",{"src":[1],"anchor":[1],"anchorZoom":[1,"anchor-zoom"],"hideAnchor":[4,"hide-anchor"],"language":[513],"highlightLines":[513,"highlight-lines"],"lineNumbers":[516,"line-numbers"],"terminal":[513],"editable":[4],"theme":[513],"editing":[32],"themeStyle":[32],"languagesToLoad":[32],"loaded":[32],"load":[64],"findNextAnchor":[64],"zoomCode":[64]},[[4,"prismLanguageLoaded","languageLoaded"]]]]]], options);
});
