import { EventEmitter } from '../../stencil-public-runtime';
import { DeckdeckgoSlide } from '@deckdeckgo/slide-utils';
import { DeckdeckgoHighlightCodeTerminal, DeckdeckgoHighlightCodeCarbonTheme } from '@deckdeckgo/highlight-code';
export declare class DeckdeckgoSlideCode implements DeckdeckgoSlide {
  el: HTMLElement;
  slideDidLoad: EventEmitter<void>;
  scrolling: EventEmitter<boolean>;
  src: string;
  anchor: string;
  anchorZoom: string;
  hideAnchor: boolean;
  language: string;
  terminal: DeckdeckgoHighlightCodeTerminal;
  theme: DeckdeckgoHighlightCodeCarbonTheme;
  componentDidLoad(): Promise<void>;
  private moveSlots;
  beforeSwipe(_enter: boolean, _reveal: boolean): Promise<boolean>;
  afterSwipe(): Promise<void>;
  revealContent(): Promise<void>;
  hideContent(): Promise<void>;
  private scrollToNext;
  private zoomCode;
  lazyLoadContent(): Promise<void>;
  render(): any;
}
